opensaml-3.0.1

Public Member Functions | Protected Attributes | List of all members
opensaml::saml2md::EndpointManager< _Tx > Class Template Reference

Template for processing unindexed endpoint information. More...

`#include <saml/saml2/metadata/EndpointManager.h>`

Inheritance diagram for opensaml::saml2md::EndpointManager< _Tx >:
[legend]
Collaboration diagram for opensaml::saml2md::EndpointManager< _Tx >:
[legend]

## Public Member Functions
| EndpointManager (const typename std::vector< _Tx * > &endpoints)
| Constructor. More...
const _Tx * | getByBinding (const XMLCh *binding) const
| Returns endpoint that supports a particular binding. More...

## Protected Attributes
const std::vector< _Tx * > & | m_endpoints
| Reference to endpoint array.

## Detailed Description

template<class _Tx>
class opensaml::saml2md::EndpointManager< _Tx >

Template for processing unindexed endpoint information.

Parameters

  _Tx | the endpoint type being managed

## Constructor & Destructor Documentation

## ◆ EndpointManager()

template<class _Tx >

opensaml::saml2md::EndpointManager< _Tx >::EndpointManager | ( | const typename std::vector< _Tx * > & | endpoints | ) |
| inline

Constructor.

Parameters

  endpoints | array of endpoints to manage

## Member Function Documentation

## ◆ getByBinding()

template<class _Tx >

const _Tx * opensaml::saml2md::EndpointManager< _Tx >::getByBinding | ( | const XMLCh * | binding | ) | const
| inline

Returns endpoint that supports a particular binding.

Parameters

  binding | binding to locate

Returns
  a supporting endpoint, favoring the default, or nullptr

The documentation for this class was generated from the following file:

- saml/saml2/metadata/EndpointManager.h